%define major	1
%define api	3.0
%define libname	%mklibname xml++ %{api} %major
%define devname	%mklibname xml++ %{api} -d

Name: 		libxml++%{api}
Summary: 	C++ interface for working with XML files
Version:	3.2.5
Release: 	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		https://libxmlplusplus.sourceforge.net/
Source:		https://download.gnome.org/sources/libxml++/%{url_ver}/libxml++-%{version}.tar.xz
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.4.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.1
BuildRequires:	doxygen
BuildRequires:	meson

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries

%description	-n %{libname}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{devname}
Summary:	Headers for developing programs that will use %name
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description	-n %{devname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%autosetup -n libxml++-%{version} -p1

%build
%meson \
	-Dbuild-documentation=true
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libxml++-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc ChangeLog NEWS README.md
%doc %{_datadir}/doc/libxml++-%{api}/
%{_datadir}/devhelp/books/libxml++-%{api}/libxml++-%{api}.devhelp2
%{_includedir}/libxml++-%{api}/
%{_libdir}/libxml++-%{api}/
%{_libdir}/pkgconfig/libxml++-%{api}.pc
%{_libdir}/libxml++-%{api}.so


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 3.2.5-3.mga10
+ Revision: 2250750
- Mageia 10 Mass Rebuild

* Sat Apr 05 2025 wally <wally> 3.2.5-2.mga10
+ Revision: 2173762
- fork as libxml++3.0

* Fri Apr 04 2025 daviddavid <daviddavid> 3.2.5-1.mga10
+ Revision: 2173333
- new version 3.2.5

* Sun Mar 16 2025 wally <wally> 3.2.4-2.mga10
+ Revision: 2164926
- rebuild for libxml2 2.13.6

* Fri Sep 09 2022 ovitters <ovitters> 3.2.4-1.mga9
+ Revision: 1886170
- new version 3.2.4

* Sat Mar 19 2022 umeabot <umeabot> 3.2.3-2.mga9
+ Revision: 1799848
- Mageia 9 Mass Rebuild

* Thu May 27 2021 ovitters <ovitters> 3.2.3-1.mga9
+ Revision: 1728632
- new version 3.2.3

* Fri Oct 02 2020 ovitters <ovitters> 3.2.2-1.mga8
+ Revision: 1631862
- add HTML reference docs
- switch to meson™
- new version 3.2.2

* Wed Apr 22 2020 ovitters <ovitters> 3.0.1-4.mga8
+ Revision: 1570827
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 3.0.1-3.mga8
+ Revision: 1514665
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1299258
- Mageia 7 Mass Rebuild

* Mon Nov 14 2016 ovitters <ovitters> 3.0.1-1.mga6
+ Revision: 1067116
- new version 3.0.1

* Thu Feb 04 2016 ovitters <ovitters> 3.0.0-1.mga6
+ Revision: 935401
- bump major
- new version 3.0.0

* Tue Jan 12 2016 ovitters <ovitters> 2.91.3-1.mga6
+ Revision: 922083
- new version 2.91.3

* Sun Nov 29 2015 wally <wally> 2.91.2-1.mga6
+ Revision: 907017
- new libapi 3.0 and libmajor 0
+ ovitters <ovitters>
- new version 2.91.2

* Wed Oct 28 2015 ovitters <ovitters> 2.40.1-1.mga6
+ Revision: 896048
- new version 2.40.1

* Thu Oct 08 2015 ovitters <ovitters> 2.40.0-1.mga6
+ Revision: 887916
- new version 2.40.0

* Sat Sep 05 2015 ovitters <ovitters> 2.39.2-1.mga6
+ Revision: 873089
- new version 2.39.2

* Tue Aug 25 2015 cjw <cjw> 2.39.1-2.mga6
+ Revision: 869377
- rebuild with gcc 5

* Tue Aug 11 2015 ovitters <ovitters> 2.39.1-1.mga6
+ Revision: 862471
- new version 2.39.1

* Mon Jun 22 2015 ovitters <ovitters> 2.38.1-1.mga6
+ Revision: 839843
- new version 2.38.1

* Wed Oct 15 2014 umeabot <umeabot> 2.36.0-5.mga5
+ Revision: 744014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.36.0-4.mga5
+ Revision: 681888
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.36.0-3.mga4
+ Revision: 507488
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.36.0-2.mga3
+ Revision: 358620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 fwang <fwang> 2.36.0-1.mga3
+ Revision: 314305
- new version 2.36.0

* Mon Oct 08 2012 ovitters <ovitters> 2.35.4-1.mga3
+ Revision: 303664
- new version 2.35.4

* Thu Jun 21 2012 ovitters <ovitters> 2.35.3-1.mga3
+ Revision: 262441
- new version 2.35.3

* Thu Mar 22 2012 ovitters <ovitters> 2.35.2-1.mga3
+ Revision: 225685
- new version 2.35.2

* Thu Feb 16 2012 fwang <fwang> 2.35.1-1.mga2
+ Revision: 209716
- new version 2.35.1

* Tue Sep 06 2011 wally <wally> 2.34.2-1.mga2
+ Revision: 139711
- new version 2.34.2
- use xz source
+ fwang <fwang>
- do not ship .la files

* Tue Apr 19 2011 tv <tv> 2.34.1-1.mga1
+ Revision: 88371
- new release
- new release

* Fri Apr 01 2011 ahmad <ahmad> 2.33.2-1.mga1
+ Revision: 79429
- update to 2.33.2
- update the Source url
+ dmorgan <dmorgan>
- Remove mdv macros
- imported package libxml++

